
TYPO3.Flow - Feature # 43578

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Security
Created: 2012-12-04 Assigned To: Karsten Dambekalns
Updated: 2013-04-12 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Enable role creation through API
Description

We need createRole().

Associated revisions
Revision f0776fb3 - 2013-04-10 17:25 - Karsten Dambekalns

[!!!][FEATURE] Handle roles consistently as objects

With this change roles are consistently used as objects.

To prevent naming conflicts between roles from different packages the
package key is added to the role names.

The handling of roles now is more strict and does not allow the use of
not configured (non-existent) roles anymore.

Roles are now referenced as real instances instead of their string
identifiers in models. Roles which were defined in policies are now
automatically mirrored to the RoleRepository (usually stored as a
table in a database).

The getRoles() method has been removed from TokenInterface.

Change-Id: I39f335baa01fbe9b883e98e85cb1f063bbaf5744
Resolves: #28862
Resolves: #43578
Related: #37451
Related: #27698
Releases: 2.0, master

Revision 28e52aa8 - 2013-04-11 12:27 - Karsten Dambekalns

[!!!][FEATURE] Handle roles consistently as objects

With this change roles are consistently used as objects.

To prevent naming conflicts between roles from different packages the
package key is added to the role names.
The handling of roles now is more strict and does not allow the use of
not configured (non-existent) roles anymore.

Roles are now referenced as real instances instead of their string
identifiers in models. Roles which were defined in policies are now
automatically mirrored to the RoleRepository (usually stored as a
table in a database).

The getRoles() method has been removed from TokenInterface.

Change-Id: I39f335baa01fbe9b883e98e85cb1f063bbaf5744
Resolves: #28862
Resolves: #43578
Related: #37451
Related: #27698
Releases: 2.0, master

History
#1 - 2012-12-04 12:39 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16947

#2 - 2012-12-09 21:25 - Karsten Dambekalns
- Target version changed from 2.0 beta 1 to 2.1

#3 - 2013-03-06 13:49 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16947

#4 - 2013-03-06 17:13 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16947

#5 - 2013-03-06 17:13 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16947

#6 - 2013-03-06 17:20 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16947
#7 - 2013-03-07 17:54 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16947

#8 - 2013-03-07 18:35 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16947

#9 - 2013-03-19 13:17 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16947

#10 - 2013-04-08 15:15 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16947

#11 - 2013-04-08 15:32 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16947

#12 - 2013-04-09 14:20 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16947

#13 - 2013-04-09 17:17 - Gerrit Code Review

Patch set 29 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13868

#14 - 2013-04-10 17:26 - Gerrit Code Review

Patch set 30 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13868

#15 - 2013-04-10 19:35 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19782
#16 - 2013-04-10 19:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f0776fb3e7c561940617b0011ce36fc3609084f5.

#17 - 2013-04-11 12:27 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 2 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19782

#18 - 2013-04-12 14:39 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:28e52aa8883c1fabc630b2f0f7756f72adaf1707.
